%define source_date 20150505

%define rel 7

Name: mageia-kde4-config
Summary: %_vendor KDE 4 configuration
Version: 5
# TO BE REMOVED BEFORE RELEASE
# For config changes in svn ( tarball date changes ) increment major.
# For updates without touch to tarball date, increment minor
Release: %mkrel -c %{source_date} %{rel}
URL: http://gitweb.mageia.org/software/desktop/kde/config
Group: Graphical desktop/KDE
BuildRequires: kde4-macros
BuildRequires: inkscape
# to recreate the tarball use the Makefile available on http://gitweb.mageia.org/software/desktop/kde/config
Source0: %{name}-%{version}.%{source_date}.tar.xz
Source1: kde4-firstsetup.sh
Source2: org.kde.home.desktop
Source3: kde-mimeapps.list
License: GPLv2
BuildArch: noarch

%description
This package regroups all specific %_vendor config file for KDE.
(kicker config etc.)

#------------------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: Common configs used for %_vendor theme
Requires: urw-fonts
Requires: desktop-common-data
Requires: %_real_vendor-theme-screensavers
Requires(post): update-alternatives
# Needed to ease upgrade since we moved the default ksplash in /usr/share/ksplash/Themes and Air&Houros Theme were only rename with 2:4.6.1-7
Conflicts: kdebase4-workspace < 2:4.6.1-7
# Obsoletes iaora theme
Obsoletes: kde4-style-iaora-common < 0.3.2-2
Obsoletes: kde4-style-iaora < 0.3.2-2
Obsoletes: qt4-style-iaora < 0.3.2-2

%description common
common configs used for %_vendor theme


%files common
%config %_sysconfdir/pam.d/kdm
%config %_sysconfdir/pam.d/kdm-np
%config %_sysconfdir/pam.d/kscreensaver
%config %_sysconfdir/pam.d/kcheckpass
%dir %_localstatedir/lib/%_real_vendor/
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/common
%_localstatedir/lib/%_real_vendor/kde4-profiles/common/*
%exclude %_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/config/kdm
%{_datadir}/applications/kde-mimeapps.list
%_datadir/kde4/env/*
%attr(0755,root,root) %_datadir/dist/desktop-files/default/org.kde.home.desktop
%_kde_appsdir/kdm/themes
%_kde_appsdir/ksplash/Themes/

%post common
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc 1

%postun common
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc
    fi
fi

#------------------------------------------------------------------------------

%package -n vanilla-kde4-config
Group: Graphical desktop/KDE
Summary: Default configs used for upstream KDE
Requires: urw-fonts
Provides: kde4-config-file = %version-%release
Requires: desktop-common-data
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: oxygen-icon-theme
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp
# vanilla uses the kde default wallpaper
Recommends: kde-wallpapers

%description -n vanilla-kde4-config
Default configs used for upstream KDE.


%files -n vanilla-kde4-config
%defattr(0644,root,root,755)
%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/


%post -n vanilla-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc 9

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc \
	9 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/backgroundrc

ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'
# Switch user id boundary to 1000+
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc", "X-*-Greeter", MinShowUID, 1000)'

%postun -n vanilla-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdmrc
    fi
fi


#------------------------------------------------------------------------------

%package -n Default-kde4-config
Summary: %_vendor KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: %_real_vendor-theme
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: desktop-common-data
Requires: plasma-applet-icontasks
Provides:  %_real_vendor-kdm4-config = %version-%release
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp
# used by photos activity template
Recommends: plasma-applet-frame
# there's a dynamic configuration for telepathy
Recommends: telepathy-kde-desktop-applets
Recommends: qt5-style-oxygen
Recommends: oxygen-gtk
Recommends: oxygen-gtk3

%description -n Default-kde4-config
This package regroups all specific %_vendor config file for KDE.

%files -n Default-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/Default
%_kde_services/plasma-layout-org.mageia.plasma-desktop.defaultPanel.desktop
%_kde_services/plasma-layout-org.mageia.plasma-desktop.classicPanel.desktop
%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/*
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc


%post -n Default-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc 20

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/backgroundrc
ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'
# Switch user id boundary to 1000+
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc", "X-*-Greeter", MinShowUID, 1000)'

%postun -n Default-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdmrc
    fi
fi


#------------------------------------------------------------------------------

%prep
%setup -q

%install
# Create profile dirs
mkdir -p %buildroot/%_datadir/applications
mkdir -p %buildroot/%_datadir/kde4/env
mkdir -p %buildroot/%_datadir/dist/desktop-files/default
mkdir -p %buildroot/%_kde_appsdir/kdm
mkdir -p %buildroot/%_kde_appsdir/plasma/layout-templates/
mkdir -p %buildroot/%_kde_services
mkdir -p %buildroot/%_kde_configdir/kdm
mkdir -p %buildroot/%_localstatedir/lib/%_real_vendor

# We keep this common as we use the same theme for all mageia flavours
mv kde4-profiles/common/share/config/kdm/themes %buildroot/%{_kde_appsdir}/kdm
mv kde4-profiles/common/etc  %buildroot/
mv kde4-profiles %buildroot/%_localstatedir/lib/%_real_vendor 
 
for name in Default ; do
	pushd %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/share/apps/%_real_vendor/pics/
		icondir=%buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/share/icons
		mkdir -p $icondir/oxygen/scalable/places/
		cp mgabutton.svg $icondir/oxygen/scalable/places/

		for RES in 16 22 32 48 64 128 256; do 
			mkdir -p  $icondir/oxygen/${RES}x${RES}/places
			inkscape -z -w ${RES} -h ${RES} -f mgabutton.svg -e $icondir/oxygen/${RES}x${RES}/places/mgabutton.png
		done
	popd
	echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/kde4rc
	echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/common,%_localstatedir/lib/%_real_vendor/kde4-profiles/$name" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/kde4rc
done
# Set up the default mageia panel
cp %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/apps/plasma/layout-templates/org.mageia.plasma-desktop.defaultPanel/metadata.desktop \
	%buildroot/%_kde_services/plasma-layout-org.mageia.plasma-desktop.defaultPanel.desktop
cp %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/apps/plasma/layout-templates/org.mageia.plasma-desktop.classicPanel/metadata.desktop \
        %buildroot/%_kde_services/plasma-layout-org.mageia.plasma-desktop.classicPanel.desktop

# Create kde4rc and the mgabutton.png for vanilla flavor

echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/vanilla" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
icondir=%buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/icons
 mkdir -p $icondir/oxygen/scalable/places/
   for RES in 16 22 32 48 64 128 256; do
       mkdir -p  $icondir/oxygen/${RES}x${RES}/places
       ln -s %_kde_iconsdir/oxygen/${RES}x${RES}/places/start-here-kde.png $icondir/oxygen/${RES}x${RES}/places/mgabutton.png
   done

# Create kde4rc for common (used when kde4-config-file is not installed, eg with Plasma 5)
echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc
echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/common" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc

# Install kde4 firstsetup script in /usr/share/kde4/env to be sourced on kde start

	install -m 755 %SOURCE1 %buildroot/%_datadir/kde4/env

# Install .desktop files in /usr/share/dist/desktop-files/default folder
	install -m 755 %SOURCE2 %buildroot/%_datadir/dist/desktop-files/default

# Install kde-mimeapps.list in /usr/share/applications
    install -m 644 %SOURCE3 %buildroot/%_datadir/applications


# move Mageia Ksplash theme to /usr/share/apps/ksplash folder

mkdir -p %{buildroot}/%_kde_appsdir/ksplash/Themes
mv %{buildroot}/%_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/apps/ksplash/Themes/Default %{buildroot}/%_kde_appsdir/ksplash/Themes/

#Remove the netbook profile
rm -fr %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/netbook



%changelog
* Sun Sep 18 2016 akien <akien> 5-0.20150505.7.mga6
+ Revision: 1053696
- s/mageia-theme-Default/mageia-theme/

* Sat Feb 20 2016 umeabot <umeabot> 5-0.20150505.6.mga6
+ Revision: 971238
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 sander85 <sander85> 5-0.20150505.5.mga6
+ Revision: 890064
- kdebase4-workspace-plasma-config doesn't exist anymore

* Sun Sep 13 2015 neoclust <neoclust> 5-0.20150505.4.mga6
+ Revision: 878881
- Remove the netbook profile

* Tue May 05 2015 neoclust <neoclust> 5-0.20150505.3.mga5
+ Revision: 821259
- Fix iconsPanel size

* Fri Mar 13 2015 neoclust <neoclust> 5-0.20150308.2.mga5
+ Revision: 818492
- Fix mga4->5 migration regarding background

* Sun Mar 08 2015 akien <akien> 5-0.20150308.1.mga5
+ Revision: 818080
- ksplash theme: Make all letters appear from the start

* Wed Mar 04 2015 lmenut <lmenut> 5-0.20150204.3.mga5
+ Revision: 817753
- mageia-kde4-config-common : add missing requires(post) update-alternatives
  (mga#15417)

* Fri Feb 20 2015 lmenut <lmenut> 5-0.20150204.2.mga5
+ Revision: 816014
- Default-kde4-config :
    add recommends qt5-style-oxygen, oxygen-gtk & oxygen-gtk3
- mageia-kde4-config-common :
    add kde4rc & alternatives, so that it can be used alone

* Wed Feb 04 2015 akien <akien> 5-0.20150204.1.mga5
+ Revision: 813457
- ksplash: tweaked the animation to prevent the magei effect when waiting for the last stage

* Thu Jan 29 2015 lmenut <lmenut> 5-0.20150129.2.mga5
+ Revision: 812703
- ksplashrc: Mageia 5 KSplash theme uses KSplashQML engine

* Thu Jan 29 2015 akien <akien> 5-0.20150129.1.mga5
+ Revision: 812683
- Remove mga4 ksplash theme
- Remove unneeded %%exclude

* Wed Jan 28 2015 akien <akien> 5-0.20150128.1.mga5
+ Revision: 812604
- New KSplashQML theme for Mageia 5

* Tue Dec 09 2014 lmenut <lmenut> 5-0.20141208.2.mga5
+ Revision: 802465
- fix file syntax for default apps

* Mon Dec 08 2014 lmenut <lmenut> 5-0.20141208.1.mga5
+ Revision: 802130
- kdeglobals : fix BrowserApplication (firefox -> firefox.desktop)
- /etc/pam.d/kdm: add pam-kwallet support
- sync default apps with .desktop InitialPreference

* Sun Nov 30 2014 lmenut <lmenut> 5-0.20140816.5.mga5
+ Revision: 800024
- use reverse domain name for desktop files installed in XDG_DESKTOP_DIR
- sync the translations with Home.desktop

* Wed Oct 15 2014 umeabot <umeabot> 5-0.20140816.4.mga5
+ Revision: 739259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5-0.20140816.3.mga5
+ Revision: 682125
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + lmenut <lmenut>
    - Update URL

* Thu Sep 11 2014 lmenut <lmenut> 5-0.20140816.2.mga5
+ Revision: 674758
- Always switch user id boundary to 1000+ in kdm
  heuristics used to display existing users with uids 500-1000 (mga#13849)

* Sat Aug 16 2014 lmenut <lmenut> 5-0.20140816.1.mga5
+ Revision: 663170
- Update top title to 4.14
- Switch user id boundary to 1000+ in kdm for new install (mga#13849)
- Fix drakconf mapping for icontasks

* Sun Feb 16 2014 neoclust <neoclust> 5-0.20140216.0.1.mga5
+ Revision: 592650
- Add kde 4.12 support in top menu

* Mon Jan 20 2014 schultz <schultz> 4-0.20140119.1.mga4
+ Revision: 567091
- ksplash 4.2
- fix animation location on small screens

* Tue Jan 14 2014 schultz <schultz> 4-0.20140114.1.mga4
+ Revision: 566551
- Ksplash 4.1
- adjust location of animation

* Tue Jan 07 2014 schultz <schultz> 4-0.20140107.1.mga4
+ Revision: 565372
- 20140107
- Add support for 2560x1920 resolutions in ksplash
- Add artwork for MGA4

* Tue Dec 17 2013 lmenut <lmenut> 4-0.20130825.4.mga4
+ Revision: 558246
- come back to mageia-drakconf.desktop (mga#12014)

* Sat Oct 19 2013 umeabot <umeabot> 4-0.20130825.3.mga4
+ Revision: 533777
- Mageia 4 Mass Rebuild

* Thu Sep 05 2013 tmb <tmb> 4-0.20130825.2.mga4
+ Revision: 475294
- fix path to drakconf (mga #11143)

* Sun Aug 25 2013 mikala <mikala> 4-0.20130825.1.mga4
+ Revision: 471734
- Update version for mageia 4
- Update top title to 4.11
- Don't fix tty's in kdmrc

* Tue Apr 23 2013 lmenut <lmenut> 3-0.20130423.1.mga3
+ Revision: 411028
- remove old kde 3 color schemes
- add russian & romanian translations (by yurchor & piratu)
- konquerorrc: enable java (mga #7660)
- fix up PAM configs (by colin, mga #9799)
- obsoletes iaora theme (deprecated, crash with kde 4.10 - mga #9005)
- kde4-firstsetup.sh: clean plasma & icons caches (mga #9761)

  + schultz <schultz>
    - ksplash 3.2 - comment kde icons to test

* Wed Mar 27 2013 schultz <schultz> 3-0.20130327.3.mga3
+ Revision: 405755
- ksplash 3.1 - Mageia 3 design

* Wed Mar 27 2013 neoclust <neoclust> 3-0.20130327.2.mga3
+ Revision: 405420
- Use new background for ksplash

* Mon Mar 18 2013 lmenut <lmenut> 3-0.20130317.1.mga3
+ Revision: 403702
- fix ktp-presence install (rename to org.kde.ktp-presence)
- telepathy-kde-desktop-applets replaces telepathy-kde-presence-applet
- kdmrc: specify the file format ini for ccp upgrade
- kdmrc: don't remove .rpmnew after upgrade by ccp (mga #9020)
- Fix default screensaver config for new screen locker/screensaver
- Remove old Obsoletes and Provides mandriva config
- Fix Requires, Requires(pre) and Requires(post)  (thanks luigi)

  + schultz <schultz>
    - mga3 ksplash added

* Wed Feb 06 2013 lmenut <lmenut> 3-0.20130206.1.mga3
+ Revision: 394932
- Remove unused icons
  kdmrc: update default UserPath and SystemPath after UsrMove
- Fix default directories
- Remove obsolete %%pre and %%trigger scripts
  Fix %%post scripts
- Install Home2.desktop in /usr/share/dist/desktop-files/default
- Remove obsolete code: update from old plasma config (<mga2)
- Remove obsolete themes Mageia-Dark and Default_Animated
- Remove Welcome.desktop
- Clean indentation
- Merge copy of .desktop on desktop
- Remove obsolete code: remove old mdv icons
- Remove obsolete code: migration from iaora-qt to iaorakde widget style
- Remove obsolete code: delete mdv Welcome.desktop
- Remove obsolete code: mga2purgecache
- Remove code that migrates mdv 2010.* config to mga config

* Sat Jan 12 2013 umeabot <umeabot> 3-0.20121208.2.mga3
+ Revision: 359288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 mikala <mikala> 3-0.20121208.1.mga3
+ Revision: 328984
- Update top svg
- Indonesian translation added by kiki

* Thu Dec 06 2012 neoclust <neoclust> 3-0.20120929.3.mga3
+ Revision: 327142
- Fix case when desktop dir has spaces patch from Alex Loginov( mga #8301)

* Mon Oct 01 2012 neoclust <neoclust> 3-0.20120929.2.mga3
+ Revision: 301724
- Migrate to new poweroff path

* Sat Sep 29 2012 ennael <ennael> 3-0.20120929.1.mga3
+ Revision: 300103
- Fix poweroff path

* Sun Sep 09 2012 mikala <mikala> 3-0.20120909.1.mga3
+ Revision: 291259
- Update top.svg
- Disable console login from kdm (switched back to upstream default)

* Sun Jun 03 2012 ennael <ennael> 2-0.20120603.1.mga3
+ Revision: 253602
- use design from original author

  + colin <colin>
    - Use Xserver VTs from 1 up rather than 7 up. (mga#5794)

* Thu May 03 2012 mikala <mikala> 2-0.20120503.1.mga2
+ Revision: 234611
- Disable Effects for kslideshow screensaver fixing mga #5020 (screensaver really slow to desactivate)

* Thu Apr 26 2012 mikala <mikala> 2-0.20120425.1.mga2
+ Revision: 233286
- Suggests ktp-presence-applet instead of a requires

  + lmenut <lmenut>
    - remove Kontact from Favorites menu (mga #5553)
    - add apper config file: apper won't check update by default
    - fix ktp_presence install

* Sun Apr 22 2012 lmenut <lmenut> 2-0.20120422.1.mga2
+ Revision: 232583
- Fix default wallpaper for all activities
- Restore root login from kdm (fix mga #5379)
- Don't set OpenGLIsUnsafe in global kwinrc
- move kdeglobals and ksplashrc in mageia-kde4-config-common
- Default-kde4-config:
  + suggests plasma-applet-frame used by photos activity
- netbook-kde4-config:
  requires plasma applets used by newspaper activity
  + plasma-applet-knowledgebase
  + plasma-applet-news
  + plasma-applet-opendesktop
  + plasma-applet-weather
- vanilla-kde4-config:
  + suggests kde-wallpapers
  + suggests plasma applets used by newspaper activity

* Wed Apr 11 2012 mikala <mikala> 2-0.20120411.4.mga2
+ Revision: 230253
- Fix bug that prevent new wallpaper to be shown

* Wed Apr 11 2012 mikala <mikala> 2-0.20120411.3.mga2
+ Revision: 230230
- Change Ksplash image

* Tue Apr 10 2012 mikala <mikala> 2-0.20120410.2.mga2
+ Revision: 230086
- Update KSplash image for mageia 2

* Mon Apr 02 2012 lmenut <lmenut> 2-0.20120402.1.mga2
+ Revision: 227811
- show tasks from all screens in icontasks (mga #5094)
- drop requires on plasma-applet-battery
- Default-kde4-config requires telepathy-kde-presence-applet

* Mon Mar 26 2012 lmenut <lmenut> 2-0.20120326.1.mga2
+ Revision: 226526
- fix duplicated panel after plasma update (mga #4845)
- sync classicPanel's config with defaultPanel

* Thu Mar 15 2012 mikala <mikala> 2-0.20120315.2.mga2
+ Revision: 223485
- Fix pam files to work with xguest

* Wed Mar 14 2012 ennael <ennael> 2-0.20120314.1.mga2
+ Revision: 223379
- improve default plasma layout

* Tue Mar 06 2012 lmenut <lmenut> 2-0.20120306.1.mga2
+ Revision: 219433
- new plasma's configuration :
  + remove system plasma-desktoprc & plasma-desktop-appletsrc
  + add scripts to init & update panel
  + add template for default panel (icontasks replaces tasks by default)
  + add template for classic panel (using tasks)
- show tooltips in systemsettings by default
- vanilla-kde4-config requires kdebase4-workspace-plasma-config
- drop unused source5 mageia-default.js

* Fri Feb 17 2012 dmorgan <dmorgan> 2-0.20120217.3.mga2
+ Revision: 210073
- Fix default wallpaper

* Thu Feb 16 2012 dmorgan <dmorgan> 2-0.20120216.2.mga2
+ Revision: 209862
- Fix default background

* Sun Feb 12 2012 lmenut <lmenut> 2-0.20120212.1.mga2
+ Revision: 207604
- Use plasma theme Air
- Let kde install the widget battery when needed

  + kamil <kamil>
    - use uniform style of summaries in Default-kde-config, netbook-kde4-config and vanilla-kde4-config (mga#4403)

* Wed Jan 25 2012 mikala <mikala> 2-0.20120125.1.mga2
+ Revision: 200741
- Update top svg for classical menu
- build plasma-layout-org.kde.plasma-desktop.mageia.desktop from metadata.desktop
- Update some options for icontasks
- Create the plasma-layout-org.kde.plasma-desktop.mageia.desktop from the metadata.desktop file
- Install plasma-applet-battery by default

* Sat Jan 14 2012 mikala <mikala> 2-0.20120113.2.mga2
+ Revision: 195845
- first try with a mageia panel using icontasks :
- it can be added on a left click/add panel
- Update tarball :
  -let kde choose the correct background file for kdm instead of relaying to background.jpg (which can be missing sometimes)
- fix tty usage in trigger (don't use tty1 for ConsoleTTYs)

* Tue Jan 10 2012 mikala <mikala> 2-0.20120110.1.mga2
+ Revision: 194687
- Update tarball :
  - enable nepomuk by default (since nepomuk is in a standalone package the user can simply removed it if needeed)
  - don't use tty1 in ConsoleTTY (it's now used by X)
  - enable desktop effect like upstream does (let see if it's working now)
  - don't show QR code by default in kaddressbook
  - update dolphin configuration to match kde 4.8 settings
  - simplification of the kdebugrc file

* Thu Dec 08 2011 mikala <mikala> 2-0.20111207.1.mga2
+ Revision: 178789
- Disable display of events per default in the plasmoid clock (spotted by doktor_500 & useful for live-cd)

* Sun Oct 02 2011 mikala <mikala> 2-0.20110921.2.mga2
+ Revision: 151118
- Remove wrong requires

* Thu Sep 22 2011 mikala <mikala> 2-0.20110921.1.mga2
+ Revision: 146549
- Use directory.trash to create the trash.desktop & remove SOURCE4
- Fix rpmlint warnings
 - use dolphin as a temporary workaround for Home2.desktop
- Switch to oxygen instead of iaora for Default & Netbook config file
- Add pam files for kdm,kcheckpass & kscreensaver in common config file
- Update version to 2 (we're on Mageia 2)
- Add mgabutton as symlink for start-here-kde in the vanilla theme to have the ?\194?\171 upstream ?\194?\187 icon since we're patching kdebase4-workspace
- Fix Provides for common package
- Update tarball to fix default kdm & ksplash for vanilla flavour
- Use correct prefix for vanilla
- Follow luc menut suggestion for kde prefix use
- More progress on  vanilla flavour :
 - move configurations files from common to Default/netbook flavors
 - remove useless configuration files
 - sync dolphinuirc with upstream
 - fix alternatives for kde4-config & kdm-config vanilla flavour

* Wed Jul 20 2011 mikala <mikala> 1-17.mga2
+ Revision: 127327
- Add qt4-style-iaora & kde4-style-iaora as requires on default/netbook -kde4-config (moved from kdelibs4 package)
- Add mageia-theme-kde-background as requires for Default & netbook config
- add as suggests kde4-splash-mga (commented until we'll get our svg file)

  + ahmad <ahmad>
    - Add kdm4-config update-alternatives to post/postun of the vanilla sub-package

* Tue Jul 12 2011 mikala <mikala> 1-15.mga2
+ Revision: 123110
- Really update top.svg
- Fix typo in kdeglobals

* Tue Jul 12 2011 mikala <mikala> 1-14.mga2
+ Revision: 122701
- Update tarball (provides a new top.svg)
- first step for a vanilla package

  + dmorgan <dmorgan>
    - Fix file list
    - Remove rm -fr and use %%exclude
      Create vanilla config packge that will provide the "default upstream kde config"

* Fri Jun 17 2011 mikala <mikala> 1-13.mga2
+ Revision: 108603
- Don't use -nr as an argument for ServerArgsLocal
- Disable sound for Event/Textcompletion: partial match (mga #1761)

* Thu May 26 2011 mikala <mikala> 1-12.mga1
+ Revision: 100516
- Update splash background & preview to match mageia theme

  + dmorgan <dmorgan>
    - Use final KMenu icon

* Thu May 26 2011 dmorgan <dmorgan> 1-11.mga1
+ Revision: 100426
- Do not enable fprintd login plugin ( asked by blino)

* Thu May 26 2011 blino <blino> 1-10.mga1
+ Revision: 100414
- use /usr/share/dist/desktop-files/<product>/ for default desktop files
  (closer to the openSUSE way in nautilus)

* Tue May 24 2011 mikala <mikala> 1-9.mga1
+ Revision: 100352
- Remove the require to kde4-splash-mga

* Sat May 21 2011 schultz <schultz> 1-8.mga1
+ Revision: 100077
- Replace logo.png in ksplash (dtsiamasiotis)
  Update Default ksplash to 2.3
  Tarball date 20110521

  + mikala <mikala>
    - We're not using mageiagalaxy.real (clean kde4-firstsetup.sh)

* Tue May 17 2011 schultz <schultz> 1-6.mga1
+ Revision: 99372
- Update ksplash to 2.2
- remove the dot on the 'i' of mageia (now in logo.png)

* Mon May 16 2011 schultz <schultz> 1-5.mga1
+ Revision: 99334
- bump mkrel to 5
- Update to 1.1
- Update ksplash background, logo and preview
 - fixes mga bug #1285

* Sun May 15 2011 mikala <mikala> 1-4.mga1
+ Revision: 99101
- Don't remove our register.desktop
- Use ln & not cp for desktop files used in lancelot new documents

* Sun May 15 2011 mikala <mikala> 1-3.mga1
+ Revision: 98873
- Fix kdm text color with final theme
- Update kde4-firstsetup.sh to ease upgrade from mandriva (thks to L.Menut), fix mga #1190 & #916

* Sat May 14 2011 mikala <mikala> 1-2.mga1
+ Revision: 98771
+ rebuild (emptylog)

* Tue May 10 2011 mikala <mikala> 1-1.mga1
+ Revision: 97068
- Use system notification for amarok
- Set GLDirect=true for kwinrc

  + schultz <schultz>
    - Update ksplash to final
      New tarball 20110510

* Sat May 07 2011 mikala <mikala> 1-0.32.mga1
+ Revision: 95729
- Use [General] for ColorScheme instead of [KDE] ( mga #900)

* Thu May 05 2011 mikala <mikala> 1-0.31.mga1
+ Revision: 95096
- Update tarball :
 - Drop gtkrc* files from common/share/config/; they get written by fonts kcm from scratch ( ahmad)
 - fix typo in default ksplash description.txt
- Really fix default_animated ksplash theme

* Thu May 05 2011 mikala <mikala> 1-0.30.mga1
+ Revision: 95088
- Don't package default_animated ksplash (#mga 988)

* Mon May 02 2011 schultz <schultz> 1-0.29.mga1
+ Revision: 94315
- Update tarball to 20110502
  Provisional final ksplash

* Fri Apr 22 2011 mikala <mikala> 1-0.28.mga1
+ Revision: 89750
- Disable some plugins in krunner which can trigger akonadi for live cd
- Reverse the caracters color in kdm for the moment

* Thu Apr 21 2011 schultz <schultz> 1-0.27.mga1
+ Revision: 89472
- Add Mageia-Dark ksplash theme, new tarball

* Mon Apr 18 2011 ahmad <ahmad> 1-0.26.mga1
+ Revision: 87550
- kde4-firstsetup.sh: fix checking for /usr/share/mga/desktop/${PROD}
- kde4-firstsetup.sh:
  o only copy Home2.desktop once
  o drop some old kde3 migration stuff

  + dmorgan <dmorgan>
    - Add TODO

* Sun Apr 17 2011 dmorgan <dmorgan> 1-0.25.mga1
+ Revision: 87339
- Try to fix desktop files copy on desktop for Live

* Tue Apr 05 2011 ahmad <ahmad> 1-0.24.mga1
+ Revision: 80591
- change konqueror webbrowsing profile to use the current location of index.html
  (/usr/share/indexhtml/index.html)

* Sun Apr 03 2011 mikala <mikala> 1-0.23.mga1
+ Revision: 79932
- Fix another typo in description.txt for ksplash

* Sun Apr 03 2011 mikala <mikala> 1-0.22.mga1
+ Revision: 79926
- Update comment regarding tarball creation
- Update tarball:
 -Fix an error in description.txt
 -update icon3_animated.pg (the ?\194?\171 internet ?\194?\187 icon should not vanish anymore)

* Sat Apr 02 2011 schultz <schultz> 1-0.21.mga1
+ Revision: 79792
- update for bubbles animation in ksplash, new tarball, update src daet

* Fri Apr 01 2011 mikala <mikala> 1-0.20.mga1
+ Revision: 79467
- Add conflicts on -common

* Fri Apr 01 2011 mikala <mikala> 1-0.19.mga1
+ Revision: 79408
+ rebuild (emptylog)

* Fri Apr 01 2011 mikala <mikala> 1-0.18.2.mga1
+ Revision: 79406
- Update tarball :
 - Dolphin should show delete item when selected ( fix mga #604)
 - Add a default splash for mageia using ksplashx

* Thu Mar 31 2011 mikala <mikala> 1-0.18.mga1
+ Revision: 79256
- Add a require for kde4-splash-mga on -common (now we're providing it)

  + dmorgan <dmorgan>
    - Fix Welcome.desktop file
    - Fix Home desktop file
    - Remove old hack
      Fix typo

* Wed Mar 30 2011 dams <dams> 1-0.17.mga1
+ Revision: 79034
- Remove and Migrate old mdv desktop files

  + dmorgan <dmorgan>
    - Obsolete mandriva-kde-icons

* Wed Mar 30 2011 mikala <mikala> 1-0.16.mga1
+ Revision: 79016
- Do not limit icon size in the panel

* Sat Mar 12 2011 mikala <mikala> 1-0.15.mga1
+ Revision: 68367
- Update tarball :
  	- adjust kmmainwin.rc layout & sync with kde's upstream
  	- adjust dolphinui.rc layout & sync with kde's upstream
  	- add edit_find back in mainToolBar, drop the searchToolBar
  	- fix view submenu ( additional_info was broken,& some items were not translated)

* Thu Mar 03 2011 mikala <mikala> 1-0.14.mga1
+ Revision: 63415
- Disable 3d effects by default

* Sat Feb 19 2011 dmorgan <dmorgan> 1-0.13.mga1
+ Revision: 54073
- Fix updates from mandriva

* Thu Feb 17 2011 mikala <mikala> 1-0.12.mga1
+ Revision: 52800
- Fix mga #58 (fix the use of dolphin panels)

* Thu Feb 17 2011 ahmad <ahmad> 1-0.11.mga1
+ Revision: 52768
- add more obsoletes for smoother upgrades

* Wed Feb 16 2011 mikala <mikala> 1-0.10.mga1
+ Revision: 52179
- Remove BuildRoot
- Update tarball :
 - don't use iaora sound event since they're not available
 - it should fix the logout/shutdown/reboot functionnality of KDE

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.9.mga1
+ Revision: 51652
- Use new tarball ( fix kdm issues )
- Fix kdm

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.7.mga1
+ Revision: 51626
- Fix button name in script
- Fix kde menu button

  + misc <misc>
    - add instruction to recreate the tarball
    - put the url to the svn ( as people may not know where to look otherwise )

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.6.mga1
+ Revision: 51596
- Fix kde icon menu

* Mon Feb 14 2011 dmorgan <dmorgan> 1-0.5.mga1
+ Revision: 51579
- Fix Home icon

* Sun Feb 13 2011 dmorgan <dmorgan> 1-0.4.mga1
+ Revision: 51522
- remove old provides/obsoletes
- remove old provides/obsoletes

* Sat Feb 12 2011 dmorgan <dmorgan> 1-0.3.mga1
+ Revision: 51082
- Add a workaround to fix kdm files location

* Thu Feb 10 2011 dmorgan <dmorgan> 1-0.2.mga1
+ Revision: 49851
- Fix requires

* Thu Feb 10 2011 dmorgan <dmorgan> 1-0.1.mga1
+ Revision: 49834
- Fix file list
- Fix button name
- Fix creation of the src.rpm
- Fix creation of the src.rpm
- Do not handle MageiaIcons for now
- Mandriva--
- imported package mageia-kde4-config

